EDestinationStore
3
LIBEDATASERVERUI Library

# EDestinationStore

## Synopsis

                        EDestinationStore;
    enum                EDestinationStoreColumnType;
    EDestinationStore*  e_destination_store_new             (void);
    EDestination*       e_destination_store_get_destination (EDestinationStore *destination_store,
                                                             GtkTreeIter *iter);
    GList*              e_destination_store_list_destinations
                                                            (EDestinationStore *destination_store);
    void                e_destination_store_insert_destination
                                                            (EDestinationStore *destination_store,
                                                             gint index,
                                                             EDestination *destination);
    void                e_destination_store_append_destination
                                                            (EDestinationStore *destination_store,
                                                             EDestination *destination);
    void                e_destination_store_remove_destination
                                                            (EDestinationStore *destination_store,
                                                             EDestination *destination);
    void                e_destination_store_remove_destination_nth
                                                            (EDestinationStore *destination_store,
                                                             int n);
    guint               e_destination_store_get_destination_count
                                                            (EDestinationStore *destination_store);
    GtkTreePath*        e_destination_store_get_path        (GtkTreeModel *tree_model,
                                                             GtkTreeIter *iter);

## Object Hierarchy

      GObject
       +----EDestinationStore

## Implemented Interfaces

EDestinationStore implements GtkTreeModel.

## Description

## Details

### EDestinationStore

    typedef struct _EDestinationStore EDestinationStore;

### enum EDestinationStoreColumnType

    typedef enum
    {
    	E_DESTINATION_STORE_COLUMN_NAME,
    	E_DESTINATION_STORE_COLUMN_EMAIL,
    	E_DESTINATION_STORE_COLUMN_ADDRESS,

    	E_DESTINATION_STORE_NUM_COLUMNS
    }
    EDestinationStoreColumnType;

### e_destination_store_new ()

    EDestinationStore*  e_destination_store_new             (void);

Returns :

### e_destination_store_get_destination ()

    EDestination*       e_destination_store_get_destination (EDestinationStore *destination_store,
                                                             GtkTreeIter *iter);

`destination_store` :

`iter` :

Returns :

### e_destination_store_list_destinations ()

    GList*              e_destination_store_list_destinations
                                                            (EDestinationStore *destination_store);

`destination_store` :

Returns :

### e_destination_store_insert_destination ()

    void                e_destination_store_insert_destination
                                                            (EDestinationStore *destination_store,
                                                             gint index,
                                                             EDestination *destination);

`destination_store` :

`index` :

`destination` :

### e_destination_store_append_destination ()

    void                e_destination_store_append_destination
                                                            (EDestinationStore *destination_store,
                                                             EDestination *destination);

`destination_store` :

`destination` :

### e_destination_store_remove_destination ()

    void                e_destination_store_remove_destination
                                                            (EDestinationStore *destination_store,
                                                             EDestination *destination);

`destination_store` :

`destination` :

### e_destination_store_remove_destination_nth ()

    void                e_destination_store_remove_destination_nth
                                                            (EDestinationStore *destination_store,
                                                             int n);

`destination_store` :

`n` :

### e_destination_store_get_destination_count ()

    guint               e_destination_store_get_destination_count
                                                            (EDestinationStore *destination_store);

`destination_store` :

Returns :

### e_destination_store_get_path ()

    GtkTreePath*        e_destination_store_get_path        (GtkTreeModel *tree_model,
                                                             GtkTreeIter *iter);

`tree_model` :

`iter` :

Returns :